<?php

namespace IPS\memberaway;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

class _Status extends \IPS\Patterns\ActiveRecord
{
    protected static $multitons;
    public static $databaseTable = 'memberaway_data';
    public static $databasePrefix = 'ma_';
    public static $databaseColumnId = 'mid';
    protected static $databaseIdFields = array( 'ma_mid' );

	public static function getMemberData( \IPS\Member $member=NULL )
	{
		$data 	= array();
		$member = $member ?: \IPS\Member::loggedIn();

		try
		{
			$data = \IPS\Db::i()->select( '*', 'memberaway_data', array( 'ma_mid=?', $member->member_id ) )->first();
		}
		catch ( \UnderflowException $e )
		{
			return $data;
		}

		return $data;
	}

	public function dummy()
	{
		//nothing here
	}
}